Bug 216427 - (CVE-2006-4227) CVE-2006-4227 mysql improper suid argument evaluation
CVE-2006-4227 mysql improper suid argument evaluation
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
David Lawrence
reported=20060818,source=cve,public=2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-20 07:13 EST by Mark J. Cox (Product Security)
Modified: 2013-07-02 23:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-25 04:14:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2006-11-20 07:13:02 EST
+++ This bug was initially created as a clone of Bug #203432 +++

MySQL improperly evaluates the argument passed to suid in the context of the
routine's definer, not in the context of the caller.  This could possibly lead
to privilege escalation.

The upstream bug has more information:
http://bugs.mysql.com/bug.php?id=18630
Comment 2 Red Hat Product Security 2008-07-25 04:14:16 EDT
This issue was addressed in:

Red Hat Application Stack:
  http://rhn.redhat.com/errata/RHSA-2007-0083.html

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2008-0364.html


Note You need to log in before you can comment on or make changes to this bug.